/********************************************************************************
 * Copyright (C) 2019 Uni Sayo and others.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the Eclipse
 * Public License v. 2.0 are satisfied: GNU General Public License, version 2
 * with the GNU Classpath Exception which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 ********************************************************************************/
import { BaseLanguageClientContribution, Workspace, Languages, LanguageClientFactory, ILanguageClient, Window, LanguageClientOptions } from '@devpodio/languages/lib/browser';
import { ResourceProvider } from '@devpodio/core';
import { VuePreferences } from './vue-preferences';
export declare class VueClientContribution extends BaseLanguageClientContribution {
    protected readonly workspace: Workspace;
    protected readonly languages: Languages;
    protected readonly resourceProvider: ResourceProvider;
    protected readonly window: Window;
    protected readonly preferences: VuePreferences;
    protected readonly languageClientFactory: LanguageClientFactory;
    readonly id = "vue";
    readonly name = "Vue";
    constructor(workspace: Workspace, languages: Languages, resourceProvider: ResourceProvider, window: Window, preferences: VuePreferences, languageClientFactory: LanguageClientFactory);
    readonly configurationSection: string[];
    protected readonly globPatterns: string[];
    protected readonly documentSelector: string[];
    protected onReady(languageClient: ILanguageClient): void;
    protected registerCustomClientNotificationHandlers(client: ILanguageClient): void;
    protected createOptions(): LanguageClientOptions;
}
//# sourceMappingURL=vue-client-contribution.d.ts.map