"use strict";
/********************************************************************************
 * Copyright (C) 2019 Uni Sayo and others.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the Eclipse
 * Public License v. 2.0 are satisfied: GNU General Public License, version 2
 * with the GNU Classpath Exception which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 ********************************************************************************/
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
var inversify_1 = require("inversify");
var browser_1 = require("@devpodio/languages/lib/browser");
var core_1 = require("@devpodio/core");
var common_1 = require("../common");
var vue_preferences_1 = require("./vue-preferences");
var VueClientContribution = /** @class */ (function (_super) {
    __extends(VueClientContribution, _super);
    function VueClientContribution(workspace, languages, resourceProvider, window, preferences, languageClientFactory) {
        var _this = _super.call(this, workspace, languages, languageClientFactory) || this;
        _this.workspace = workspace;
        _this.languages = languages;
        _this.resourceProvider = resourceProvider;
        _this.window = window;
        _this.preferences = preferences;
        _this.languageClientFactory = languageClientFactory;
        _this.id = common_1.VUE_LANGUAGE_ID;
        _this.name = common_1.VUE_LANGUAGE_NAME;
        return _this;
    }
    Object.defineProperty(VueClientContribution.prototype, "configurationSection", {
        get: function () {
            return [this.id];
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(VueClientContribution.prototype, "globPatterns", {
        get: function () {
            return ['**/*.vue'];
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(VueClientContribution.prototype, "documentSelector", {
        get: function () {
            return [this.id];
        },
        enumerable: true,
        configurable: true
    });
    VueClientContribution.prototype.onReady = function (languageClient) {
        this.registerCustomClientNotificationHandlers(languageClient);
        _super.prototype.onReady.call(this, languageClient);
    };
    VueClientContribution.prototype.registerCustomClientNotificationHandlers = function (client) {
        var _this = this;
        client.onNotification('$/displayInfo', function (msg) {
            _this.window.showMessage(3, msg);
        });
        client.onNotification('$/displayWarning', function (msg) {
            _this.window.showMessage(2, msg);
        });
        client.onNotification('$/displayError', function (msg) {
            _this.window.showMessage(1, msg);
        });
    };
    VueClientContribution.prototype.createOptions = function () {
        var options = _super.prototype.createOptions.call(this);
        if (typeof options.documentSelector === 'undefined' || !options.documentSelector.length) {
            options.documentSelector = this.documentSelector;
        }
        options.initializationOptions = {
            config: this.workspace.configurations.getConfiguration()
        };
        options.synchronize = {
            configurationSection: ['vetur', 'emmet', 'html', 'javascript', 'typescript', 'prettier', 'stylusSupremacy'],
            fileEvents: this.workspace.createFileSystemWatcher('{**/*.js,**/*.ts}', false, false, true)
        };
        options.revealOutputChannelOn = browser_1.RevealOutputChannelOn.Never;
        return options;
    };
    VueClientContribution = __decorate([
        inversify_1.injectable(),
        __param(0, inversify_1.inject(browser_1.Workspace)),
        __param(1, inversify_1.inject(browser_1.Languages)),
        __param(2, inversify_1.inject(core_1.ResourceProvider)),
        __param(3, inversify_1.inject(browser_1.Window)),
        __param(4, inversify_1.inject(vue_preferences_1.VuePreferences)),
        __param(5, inversify_1.inject(browser_1.LanguageClientFactory)),
        __metadata("design:paramtypes", [Object, Object, Function, Object, Object, browser_1.LanguageClientFactory])
    ], VueClientContribution);
    return VueClientContribution;
}(browser_1.BaseLanguageClientContribution));
exports.VueClientContribution = VueClientContribution;
//# sourceMappingURL=vue-client-contribution.js.map