"use strict";
/********************************************************************************
 * Copyright (C) 2018 Uni Sayo and others.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the Eclipse
 * Public License v. 2.0 are satisfied: GNU General Public License, version 2
 * with the GNU Classpath Exception which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 ********************************************************************************/
Object.defineProperty(exports, "__esModule", { value: true });
var vue_client_contribution_1 = require("./vue-client-contribution");
var browser_1 = require("@devpodio/languages/lib/browser");
var inversify_1 = require("inversify");
var textmate_1 = require("@devpodio/monaco/lib/browser/textmate");
var vue_grammar_contribution_1 = require("./grammars/vue-grammar-contribution");
var vue_calhierarchy_service_1 = require("./vue-calhierarchy-service");
var callhierarchy_service_1 = require("@devpodio/callhierarchy/lib/browser/callhierarchy-service");
var vue_preferences_1 = require("./vue-preferences");
exports.default = new inversify_1.ContainerModule(function (bind, unbind, isBound, rebind) {
    vue_preferences_1.bindVuePreferences(bind);
    bind(vue_client_contribution_1.VueClientContribution).toSelf().inSingletonScope();
    bind(browser_1.LanguageClientContribution).toService(vue_client_contribution_1.VueClientContribution);
    bind(vue_calhierarchy_service_1.VueCallHierarchyService).toSelf().inSingletonScope();
    bind(callhierarchy_service_1.CallHierarchyService).toService(vue_calhierarchy_service_1.VueCallHierarchyService);
    bind(textmate_1.LanguageGrammarDefinitionContribution).to(vue_grammar_contribution_1.VueGrammarContribution).inSingletonScope();
});
//# sourceMappingURL=vue-frontend-module.js.map